package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/3/19
 */
public class SaveInfoExesysReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "imgUrl", value = "头像 （不需审核）", required = true)
    private String imgUrl;

    @ApiModelProperty(name = "name", value = "姓名", required = true)
    private String name;

    @ApiModelProperty(name = "sex", value = "性别：1男，2女", required = true)
    private Integer sex;

    @ApiModelProperty(name = "school", value = "学校", required = true)
    private String school;

    @ApiModelProperty(name = "major", value = "专业", required = true)
    private String major;

    @ApiModelProperty(name = "phone", value = "手机号码", required = true)
    private String phone;

    @NotBlank
    @ApiModelProperty(name = "type", value = "老师类型(1练习册加工，2练习册审核，3练习册解析，4练习册解审，5KMT加工，6KMT审核，7题库录入老师，8答案校对老师)(多个类型以这种方式：1,2,3,4,5,6)", required = true)
    private String type;

    @ApiModelProperty(name = "idNumber", value = "身份证号", required = true)
    private String idNumber;

    @ApiModelProperty(name = "idFace", value = "身份证正面", required = true)
    private String idFace;

    @ApiModelProperty(name = "idCon", value = "身份证反面", required = true)
    private String idCon;

    @ApiModelProperty(name = "certification", value = "学生/毕业证", required = true)
    private String certification;

    @ApiModelProperty(name = "bankName", value = "银行名", required = true)
    private String bankName;

    @ApiModelProperty(name = "bankIcon", value = "银行图标", required = true)
    private String bankIcon;

    @ApiModelProperty(name = "cardholder", value = "持卡人姓名", required = true)
    private String cardholder;

    @ApiModelProperty(name = "cardNumber", value = "银行卡号", required = true)
    private String cardNumber;

    @ApiModelProperty(name = "bankBranch", value = "开户支行", required = true)
    private String bankBranch;

    @ApiModelProperty(name = "bankcardFace", value = "银行卡正面", required = true)
    private String bankcardFace;

    @ApiModelProperty(name = "bankcardCon", value = "银行卡反面", required = true)
    private String bankcardCon;

    @ApiModelProperty(name = "subject", value = "批改科目(多个科目以这种方式：语文,数学,英语)", required = true)
    private String subject;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getBankcardFace() {
        return bankcardFace;
    }

    public void setBankcardFace(String bankcardFace) {
        this.bankcardFace = bankcardFace;
    }

    public String getBankcardCon() {
        return bankcardCon;
    }

    public void setBankcardCon(String bankcardCon) {
        this.bankcardCon = bankcardCon;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getIdCon() {
        return idCon;
    }

    public void setIdCon(String idCon) {
        this.idCon = idCon;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }
}
